# DataGridViewRowErrorTextNeededEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [DataGridViewRowEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewroweventargs.md)
  * [DataGridViewRowErrorTextNeededEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowerrortextneededeventargs.md)

Provides data for the [RowErrorTextNeeded](/api/wisej.web/lists-and-grids/datagridview.md#rowerrortextneeded) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewRowErrorTextNeededEventArgs : DataGridViewRowEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewRowErrorTextNeededEventArgs
    Inherits DataGridViewRowEventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ErrorText

[String](https://docs.microsoft.com/dotnet/api/system.string): Gets or sets the error message that is displayed when the row is selected.

## Used By

| Name                                                                                                                                              | Description                                                                                                                                                                                                   |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewRowErrorTextNeededEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowerrortextneededeventhandler.md) | Represents the method that will handle the [RowErrorTextNeeded](/api/wisej.web/lists-and-grids/datagridview.md#rowerrortextneeded) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewrowerrortextneededeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
